<?php
/**
 *
 * Pagination Functions
 *
 * @package Solar Energy Engine
 */

/**
 * Pagination for archive.
 */
function solar_energy_engine_render_posts_pagination() {
    // Get the setting to check if pagination is enabled
    $solar_energy_engine_is_pagination_enabled = get_theme_mod( 'solar_energy_engine_enable_pagination', true );

    // Check if pagination is enabled
    if ( $solar_energy_engine_is_pagination_enabled ) {
        // Get the selected pagination type from the Customizer
        $solar_energy_engine_pagination_type = get_theme_mod( 'solar_energy_engine_theme_pagination_type', 'numeric' );

        // Check if the pagination type is "newer_older" (Previous/Next) or "numeric"
        if ( 'newer_older' === $solar_energy_engine_pagination_type ) :
            // Display "Newer/Older" pagination (Previous/Next navigation)
            the_posts_navigation(
                array(
                    'prev_text' => __( '&laquo; Newer', 'solar-energy-engine' ),  // Change the label for "previous"
                    'next_text' => __( 'Older &raquo;', 'solar-energy-engine' ),  // Change the label for "next"
                    'screen_reader_text' => __( 'Posts navigation', 'solar-energy-engine' ),
                )
            );
        else :
            // Display numeric pagination (Page numbers)
            the_posts_pagination(
                array(
                    'prev_text' => __( '&laquo; Previous', 'solar-energy-engine' ),
                    'next_text' => __( 'Next &raquo;', 'solar-energy-engine' ),
                    'type'      => 'list', // Display as <ul> <li> tags
                    'screen_reader_text' => __( 'Posts navigation', 'solar-energy-engine' ),
                )
            );
        endif;
    }
}
add_action( 'solar_energy_engine_posts_pagination', 'solar_energy_engine_render_posts_pagination', 10 );